INTERFACE
SUBROUTINE GNHSIM(&
 & KSTART,KPROF,&
 & POROGL,POROGM,&
 & PUT1,PVT1,PTT1,&
 & PLHU,PLHV,PLNPR,&
 & PE3Y,PERR,PEGHL,PEGHM,&
 & PGSPD1) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLHU(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLHV(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PE3Y(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PERR(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEGHL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEGHM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGSPD1(NPROMA,NFLEVG)
END SUBROUTINE GNHSIM
END INTERFACE
